Vcenter Vm Guest Filesystem Files list

Vcenter Vm Guest Filesystem Files list

Returns information about files and directories in the guest.

Files are returned in operating system-specific (inode) order. If the directory is modified between queries, missing or duplicate results can occur.

This operation was added in vSphere API 7.0.2.0.

Returns an authorization error if you do not have all of the privileges described as follows:

  • The resource VirtualMachine referenced by the parameter vm requires VirtualMachine.GuestOperations.Query.
Request
URI
POST
https://{api_host}/api/vcenter/vm/{vm}/guest/filesystem/files?action=list
COPY
Path Parameters
string
vm
Required

Virtual Machine to perform the operation on.

The parameter must be an identifier for the resource type: VirtualMachine.


Request Body

Request body for invoking operation: list

Show optional properties

{
    "credentials": {
        "interactive_session": false,
        "type": "string"
    },
    "path": "string"
}
{
    "credentials": {
        "interactive_session": false,
        "type": "string",
        "user_name": "string",
        "password": "string",
        "saml_token": "string"
    },
    "path": "string",
    "iteration": "Vcenter Vm Guest Filesystem Files IterationSpec Object",
    "filter": "Vcenter Vm Guest Filesystem Files FilterSpec Object"
}
credentials
Required

The Vcenter Vm Guest Credentials schema defines the guest credentials used for guest operation authentication.

This schema was added in vSphere API 7.0.2.0.

string
path
Required

The complete path to the directory or file to query.

iteration
Optional

The Vcenter Vm Guest Filesystem Files IterationSpec schema contains properties used to break results into pages when listing files. See POST /vcenter/vm/{vm}/guest/filesystem/files?action=list).

This schema was added in vSphere API 7.0.2.0.

filter
Optional

The Vcenter Vm Guest Filesystem Files FilterSpec schema contains information used to filter the results when listing files (see POST /vcenter/vm/{vm}/guest/filesystem/files?action=list).

This schema was added in vSphere API 7.0.2.0.

Authentication
This operation uses the following authentication methods.
Responses
200

A Vcenter Vm Guest Filesystem Files ListResult object containing information for all the matching files in filter and the total number of files that can be returned.

Returns Vcenter Vm Guest Filesystem Files ListResult of type(s) application/json
"Vcenter Vm Guest Filesystem Files ListResult Object"
array of object
files
Required

A list of Vcenter Vm Guest Filesystem Files Summary schemas containing information for all the matching files.

This property was added in vSphere API 7.0.2.0.

integer As int64 As int64
total
Required

The total number of results from the POST /vcenter/vm/{vm}/guest/filesystem/files?action=list. This is a hint to the user of the iterator regarding how many items are available to be retrieved. The total could change if the inventory of items are being changed.

This property was added in vSphere API 7.0.2.0.

integer As int64 As int64
start_index
Optional

Positional index into the logical item list of the first item returned in the list of results. The first item in the logical item list has an index of 0. This is a hint to the user of the iterator regarding the logical position in the iteration. For example, this can be used to display to the user which page of the iteration is being shown. The total could change if the inventory of items are being changed.

This property was added in vSphere API 7.0.2.0.

If missing or null no items were returned.

integer As int64 As int64
end_index
Optional

Positional index into the logical item list of the last item returned in the list of results. The first item in the logical item list has an index of 0. This is a hint to the user of the iterator regarding the logical position in the iteration. For example, this can be used to display to the user which page of the iteration is being shown. The total could change if the inventory of items are being changed.

This property was added in vSphere API 7.0.2.0.

If missing or null no items were returned.

string
status
Required

The last status for the iterator that indicates whether any more results can be expected if the caller continues to make requests for more data using the iterator.

For more information see: Vcenter Vm Guest Filesystem Files LastIterationStatus.

This property was added in vSphere API 7.0.2.0.


400

Vapi Std Errors InvalidArgument if path is too long. The value of Vapi Std Errors Error.data will contain all the properties defined in the Vcenter Vm Guest Filesystem FileErrorDetails providing additional information about the failure.

Vapi Std Errors NotAllowedInCurrentState if the virtual machine is not running.

Vapi Std Errors Unsupported:

  • if the operation is not supported by the VMware Tools in the guest operating system.
  • if the operation is disabled by the VMware Tools in the guest operating system.
Returns Vapi Std Errors Error of type(s) application/json
"Vapi Std Errors Error Object"
array of object
messages
Required

Stack of one or more localizable messages for human error consumers.

The message at the top of the stack (first in the list) describes the error from the perspective of the operation the client invoked.

Each subsequent message in the stack describes the "cause" of the prior message.

object
data
Optional

Data to facilitate clients responding to the operation reporting a standard error to indicating that it was unable to complete successfully.

Operations may provide data that clients can use when responding to errors. Since the data that clients need may be specific to the context of the operation reporting the error, different operations that report the same error may provide different data in the error. The documentation for each each operation will describe what, if any, data it provides for each error it reports.

The Vapi Std Errors ArgumentLocations, Vapi Std Errors FileLocations, and Vapi Std Errors TransientIndication schemas are intended as possible values for this property. Vapi Std DynamicID may also be useful as a value for this property (although that is not its primary purpose). Some resources may provide their own specific schemas for use as the value of this property when reporting errors from their operations.

Some operations will not set this property when reporting errors.

string
error_type
Required

Discriminator field to help API consumers identify the structure type.

For more information see: Vapi Std Errors Error Type.

This property was added in vSphere API 6.7.2.

Can be missing or null for compatibility with preceding implementations.


401

if the credentials object was not valid.

Returns Vapi Std Errors Unauthenticated of type(s) application/json
This response body class contains all of the following: InlineVapi Std Errors Unauthenticated0
"Vapi Std Errors Unauthenticated Object"
string
challenge
Optional

Indicates the authentication challenges applicable to the target API provider. It can be used by a client to discover the correct authentication scheme to use. The exact syntax of the value is defined by the specific provider, the protocol and authentication schemes used.

For example, a provider using REST may adhere to the WWW-Authenticate HTTP header specification, RFC7235, section 4.1. In this case an example challenge value may be: SIGN realm="27da1358-2ba4-11e9-b210-d663bd873d93",sts="http://vcenter/sso?vsphere.local", Basic realm="vCenter"

This property was added in vSphere API 7.0.0.0.

This property is optional because it was added in a newer version than its parent node.


403

if path cannot be accessed.

if path cannot be listed because the guest authentication will not allow the operation.

Returns Vapi Std Errors Unauthorized of type(s) application/json
This response body class contains all of the following: InlineVapi Std Errors Unauthorized0
"Vapi Std Errors Unauthorized Object"

404

if the virtual machine is not found.

if path is not found. The value of Vapi Std Errors Error.data will contain all the properties defined in the Vcenter Vm Guest Filesystem FileErrorDetails providing additional information about the failure.

Returns Vapi Std Errors NotFound of type(s) application/json
This response body class contains all of the following: InlineVapi Std Errors NotFound0
"Vapi Std Errors NotFound Object"

500

if the virtual machine is busy.

Returns Vapi Std Errors ResourceBusy of type(s) application/json
This response body class contains all of the following: InlineVapi Std Errors ResourceBusy0
"Vapi Std Errors ResourceBusy Object"

503

if the VMware Tools is not running.

Returns Vapi Std Errors ServiceUnavailable of type(s) application/json
This response body class contains all of the following: InlineVapi Std Errors ServiceUnavailable0
"Vapi Std Errors ServiceUnavailable Object"

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"credentials:"object","path:"string"}' https://{api_host}/api/vcenter/vm/{vm}/guest/filesystem/files?action=list